from enum import IntEnum


class MainBlockType(IntEnum):
    VESA = 0x0
    CTA = 0x2
    DisplayID = 0x70


class AdditionalBlockType(IntEnum):
    AdaptiveSync = 0x2B


class DisplayIDReadMode(IntEnum):
    """
    Disabled - Disable native DisplayID read
    Try - Prefer native DisplayID (if failed to read use EDID instead)
    Both - Read both DisplayID and EDID
    """
    Disabled = 0
    Try = 1
    Both = 2
